org.jboss.resteasy.keystone.as7

## Class SignedSkeletonKeyStoneLoginModule

- java.lang.Object
- - org.jboss.security.auth.spi.AbstractServerLoginModule
  - - org.jboss.resteasy.keystone.as7.JBossWebAuthLoginModule
    - - org.jboss.resteasy.keystone.as7.SignedSkeletonKeyStoneLoginModule

- All Implemented Interfaces:
    LoginModule

      public class SignedSkeletonKeyStoneLoginModule
      extends JBossWebAuthLoginModule

  Keystone Access token protocol
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Access` | `access`
    `protected String` | `projectId`
    `protected String` | `skeletonKeyCertificateAlias`

    - ### Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignedSkeletonKeyStoneLoginModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Principal` | `getIdentity()`
    `protected Group[]` | `getRoleSets()`
    `void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
    `protected boolean` | `login(org.apache.catalina.connector.Request request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.jboss.resteasy.keystone.as7.JBossWebAuthLoginModule

      `login`

    - ### Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `abort, addValidOptions, checkOptions, commit, createGroup, createIdentity, getCallerPrincipalGroup, getUnauthenticatedIdentity, getUseFirstPass, logout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### projectId

          protected String projectId

    - #### skeletonKeyCertificateAlias

          protected String skeletonKeyCertificateAlias

    - #### access

          protected Access access

  - ### Constructor Detail

    - #### SignedSkeletonKeyStoneLoginModule

          public SignedSkeletonKeyStoneLoginModule()

  - ### Method Detail

    - #### initialize

          public void initialize(Subject subject,
                        CallbackHandler callbackHandler,
                        Map<String,?> sharedState,
                        Map<String,?> options)

      Specified by:
        `initialize` in interface `LoginModule`
      Overrides:
        `initialize` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

    - #### login

          protected boolean login(org.apache.catalina.connector.Request request,
                      javax.servlet.http.HttpServletResponse response)
                           throws LoginException

      Specified by:
        `login` in class `JBossWebAuthLoginModule`
      Throws:
        `LoginException`

    - #### getIdentity

          protected Principal getIdentity()

      Specified by:
        `getIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

    - #### getRoleSets

          protected Group[] getRoleSets()
                                 throws LoginException

      Specified by:
        `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
      Throws:
        `LoginException`

Copyright © 2014. All Rights Reserved.